| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Attributes | List of all members
cv::kinfu::VolumeParams Struct Reference
Kinect_fusion

`#include <opencv2/rgbd/kinfu.hpp>`

Collaboration diagram for cv::kinfu::VolumeParams:

## Public Attributes
float | depthTruncThreshold = 0.f
| Threshold for depth truncation in meters Truncates the depth greater than threshold to 0.
VolumeType | kind = VolumeType::TSDF
| Kind of Volume Values can be TSDF (single volume) or HASHTSDF (hashtable of volume units)
int | maxWeight = 64
| Max number of frames to integrate per voxel Represents the max number of frames over which a running average of the TSDF is calculated for a voxel.
Matx44f | pose = Affine3f().translate(Vec3f(-volumSize / 2.f, -volumSize / 2.f, 0.5f)).matrix
| Initial pose of the volume in meters, should be 4x4 float or double matrix.
float | raycastStepFactor = 0.25f
| Length of single raycast step Describes the percentage of voxel length that is skipped per march.
int | resolutionX = 128
| Resolution of voxel space Number of voxels in each dimension. Applicable only for TSDF Volume. HashTSDF volume only supports equal resolution in all three dimensions.
int | resolutionY = 128
int | resolutionZ = 128
float | tsdfTruncDist = 7.f * voxelSize
| TSDF truncation distance Distances greater than value from surface will be truncated to 1.0.
int | unitResolution = 0
| Resolution of volumeUnit in voxel space Number of voxels in each dimension for volumeUnit Applicable only for hashTSDF.
float | volumSize = 3.f
| Size of volume in meters.
float | voxelSize = volumSize / 512.f
| Length of voxels in meters.

## Member Data Documentation

## ◆ depthTruncThreshold

float cv::kinfu::VolumeParams::depthTruncThreshold = 0.f

Threshold for depth truncation in meters Truncates the depth greater than threshold to 0.

## ◆ kind

VolumeType cv::kinfu::VolumeParams::kind = VolumeType::TSDF

Kind of Volume Values can be TSDF (single volume) or HASHTSDF (hashtable of volume units)

## ◆ maxWeight

int cv::kinfu::VolumeParams::maxWeight = 64

Max number of frames to integrate per voxel Represents the max number of frames over which a running average of the TSDF is calculated for a voxel.

## ◆ pose

Matx44f cv::kinfu::VolumeParams::pose = Affine3f().translate(Vec3f(-volumSize / 2.f, -volumSize / 2.f, 0.5f)).matrix

Initial pose of the volume in meters, should be 4x4 float or double matrix.

## ◆ raycastStepFactor

float cv::kinfu::VolumeParams::raycastStepFactor = 0.25f

Length of single raycast step Describes the percentage of voxel length that is skipped per march.

## ◆ resolutionX

int cv::kinfu::VolumeParams::resolutionX = 128

Resolution of voxel space Number of voxels in each dimension. Applicable only for TSDF Volume. HashTSDF volume only supports equal resolution in all three dimensions.

## ◆ resolutionY

int cv::kinfu::VolumeParams::resolutionY = 128

## ◆ resolutionZ

int cv::kinfu::VolumeParams::resolutionZ = 128

## ◆ tsdfTruncDist

float cv::kinfu::VolumeParams::tsdfTruncDist = 7.f * voxelSize

TSDF truncation distance Distances greater than value from surface will be truncated to 1.0.

## ◆ unitResolution

int cv::kinfu::VolumeParams::unitResolution = 0

Resolution of volumeUnit in voxel space Number of voxels in each dimension for volumeUnit Applicable only for hashTSDF.

## ◆ volumSize

float cv::kinfu::VolumeParams::volumSize = 3.f

Size of volume in meters.

## ◆ voxelSize

float cv::kinfu::VolumeParams::voxelSize = volumSize / 512.f

Length of voxels in meters.

The documentation for this struct was generated from the following file:

- opencv2/rgbd/kinfu.hpp